namespace SteamApiWrapper.ReturnTypes;

public record Player(ulong steamid,
    CommunityVisibilityState communityvisibilitystate,
    bool profilestate,
    string personaname,
    string profileurl,
    string avatar,
    PersonaState personastate,
    string? realname);

public enum PersonaState : byte
{
    Offline = 0,
    Online = 1,
    Busy = 2,
    Away = 3,
    Snooze = 4,
    LookingToTrade = 5,
    LookingToPlay = 6
}

public enum CommunityVisibilityState : byte
{
    Hidden = 1,
    Public = 3
}